<%= form_with(model: order, local: true) do |form| %>
  <% if order.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(order.errors.count, "error") %> prohibited this order from being saved:</h2>

      <ul>
      <% order.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :customer %>
    <%= form.text_field :customer, id: :order_customer %>
  </div>

  <div class="field" >
    <%= form.label :employee_id %>
    <%= collection_select(:order, :employee_id, Employee.all, :id, :name, prompt: true, :selected => current_emp.id) %>
  </div>

  <div class="field">
    <p>Choose the items for your order:</p>
    <%= form.fields_for :order_items do |item| %>
      <p>
        <%= item.collection_select :menu_item_id, MenuItem.all, :id, :name %>
        <%= item.collection_select :menu_item, MenuItem.all, :id, :price, {:include_blank => false}, {:disabled => "disabled", :id => "sel", :value => '1'} %>
        <%= item.number_field :quantity, id: :order_item_quantity %>
      </p>
    <% end %>
  </div>

  <div class="field">
    <%= form.label :subtotal %>
    <span id="subt">$0.00</span>
  </div>

  <div class="field">
    <%= form.label :tax %>
    <span id="tx">$0.00</span>
  </div>

  <div class="field">
    <%= form.label :total %>
    <span id="tot">$0.00</span>
  </div>


  <div class="actions">
    <%= form.submit %>
  </div>

  <script>
      jQuery(function () {
          jQuery("#order_order_items_attributes_0_menu_item_id").change(function () {
              console.log(jQuery(this).val());
              document.getElementById('sel').value = jQuery(this).val();
          });
      });
      jQuery(function () {
          jQuery("#order_order_items_attributes_0_menu_item_id").change(function () {
                  var sub = (document.getElementById('sel')
                  .options[document.getElementById('sel').selectedIndex]
                  .innerHTML) * document.getElementById('order_item_quantity').value;
              document.getElementById('subt').innerHTML = ("$" + sub.toFixed(2));
              document.getElementById('tx').innerHTML = ("$" + (sub * 0.1).toFixed(2));
              document.getElementById('tot').innerHTML = ("$" + (sub * 1.1).toFixed(2));
          });
      });
      jQuery(function () {
          jQuery("#order_item_quantity").change(function () {
              var sub = (document.getElementById('sel')
                  .options[document.getElementById('sel').selectedIndex]
                  .innerHTML) * document.getElementById('order_item_quantity').value;
              document.getElementById('subt').innerHTML = ("$" + sub.toFixed(2));
              document.getElementById('tx').innerHTML = ("$" + (sub * 0.1).toFixed(2));
              document.getElementById('tot').innerHTML = ("$" + (sub * 1.1).toFixed(2));
          });
      });
  </script>
<% end %>
